netatalk: afpcmd.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpcmd.c File Reference
`#include <pwd.h>`
`#include <stdint.h>`
`#include <atalk/afp_util.h>`
`#include "afpclient.h"`
`#include "testhelper.h"`

## Functions
char * | afp_error (int error)
const char * | AfpNum2name (int num)
void | dump_header (DSI *dsi)
void | dump_open (DSI *dsi)
unsigned int | FPopenLogin (CONN *conn, char *vers, char *uam, char *usr, char *pwd)
unsigned int | FPopenLoginExt (CONN *conn, char *vers, char *uam, char *usr, char *pwd)
unsigned int | FPLogOut (CONN *conn)
unsigned int | FPzzz (CONN *conn, int flag)
unsigned int | FPGetSessionToken (CONN *conn, int type, uint32_t time, int len, char *token)
unsigned int | FPDisconnectOldSession (CONN *conn, uint16_t type, int len, char *token)
unsigned int | FPMapID (CONN *conn, char fn, int id)
unsigned int | FPMapName (CONN *conn, char fn, char *name)
unsigned int | FPBadPacket (CONN *conn, char fn, char *name)
unsigned int | FPGetUserInfo (CONN *conn, char flag, int id, uint16_t bitmap)
unsigned int | FPGetSrvrInfo (CONN *conn)
unsigned int | FPGetSrvrParms (CONN *conn)
unsigned int | FPGetSrvrMsg (CONN *conn, uint16_t type, uint16_t bitmap)
uint16_t | FPOpenVolFull (CONN *conn, char *vol, uint16_t bitmap)
uint16_t | FPOpenVol (CONN *conn, char *vol)
unsigned int | FPCloseVol (CONN *conn, uint16_t vol)
uint16_t | FPOpenDT (CONN *conn, uint16_t vol)
unsigned int | FPGetIcon (CONN *conn, uint16_t dt, char *creator, char *type, char itype, uint16_t size)
unsigned int | FPAddIcon (CONN *conn, uint16_t dt, char *creator, char *type, char itype, uint32_t tag, uint16_t size, char *data)
unsigned int | FPGetIconInfo (CONN *conn, uint16_t dt, unsigned char *creator, uint16_t itype)
unsigned int | FPGetVolParam (CONN *conn, uint16_t vol, uint16_t bitmap)
unsigned int | FPSetVolParam (CONN *conn, uint16_t vol, uint16_t bitmap, struct afp_volume_parms *parms)
unsigned int | FPCloseDT (CONN *conn, uint16_t vol)
unsigned int | FPCloseFork (CONN *conn, uint16_t vol)
unsigned int | FPFlush (CONN *conn, uint16_t vol)
unsigned int | FPByteLock (CONN *conn, uint16_t fork, int end, int mode, int offset, int size)
unsigned int | FPByteLock_ext (CONN *conn, uint16_t fork, int end, int mode, off_t offset, off_t size)
unsigned int | FPFlushFork (CONN *conn, uint16_t vol)
unsigned int | FPCloseDir (CONN *conn, uint16_t vol, int did)
unsigned int | FPEnumerate (CONN *conn, uint16_t vol, int did, char *name, uint16_t f_bitmap, uint16_t d_bitmap)
unsigned int | FPEnumerateFull (CONN *conn, uint16_t vol, uint16_t sindex, uint16_t reqcnt, uint16_t size, int did, char *name, uint16_t f_bitmap, uint16_t d_bitmap)
unsigned int | FPGetFileDirParams (CONN *conn, uint16_t vol, int did, char *name, uint16_t f_bitmap, uint16_t d_bitmap)
unsigned int | FPCreateID (CONN *conn, uint16_t vol, int did, char *name)
unsigned int | FPDeleteID (CONN *conn, uint16_t vol, int did)
unsigned int | FPResolveID (CONN *conn, uint16_t vol, int did, uint16_t bitmap)
unsigned int | FPEnumerate_ext (CONN *conn, uint16_t vol, int did, char *name, uint16_t f_bitmap, uint16_t d_bitmap)
unsigned int | FPEnumerate_ext2 (CONN *conn, uint16_t vol, int did, char *name, uint16_t f_bitmap, uint16_t d_bitmap)
unsigned int | FPEnumerateExt2Full (CONN *conn, uint16_t vol, uint32_t did, char *name, uint16_t f_bitmap, uint16_t d_bitmap, uint32_t startindex, uint16_t reqcount)
unsigned int | FPDelete (CONN *conn, uint16_t vol, int did, char *name)
unsigned int | FPGetComment (CONN *conn, uint16_t vol, int did, char *name)
unsigned int | FPRemoveComment (CONN *conn, uint16_t vol, int did, char *name)
unsigned int | FPAddComment (CONN *conn, uint16_t vol, int did, char *name, char *cmt)
unsigned int | FPOpenDir (CONN *conn, uint16_t vol, int did, char *name)
unsigned int | FPCreateDir (CONN *conn, uint16_t vol, int did, char *name)
uint16_t | FPOpenFork (CONN *conn, uint16_t vol, int type, uint16_t bitmap, int did, char *name, int access)
unsigned int | FPCreateFile (CONN *conn, uint16_t vol, char type, int did, char *name)
unsigned int | FPGetForkParam (CONN *conn, uint16_t fork, uint16_t bitmap)
unsigned int | FPGetAppl (CONN *conn, uint16_t dt, char *name, uint16_t index, uint16_t bitmap)
unsigned int | FPAddAPPL (CONN *conn, uint16_t dt, int did, char *creator, uint32_t tag, char *name)
unsigned int | FPRemoveAPPL (CONN *conn, uint16_t dt, int did, char *creator, char *name)
unsigned int | FPSetForkParam (CONN *conn, uint16_t fork, uint16_t bitmap, off_t size)
unsigned int | FPSetDirParms (CONN *conn, uint16_t vol, int did, char *name, uint16_t bitmap, struct afp_filedir_parms *dir)
unsigned int | FPSetFileParams (CONN *conn, uint16_t vol, int did, char *name, uint16_t bitmap, struct afp_filedir_parms *fil)
unsigned int | FPSyncDir (CONN *conn, uint16_t vol, int did)
unsigned int | FPCatSearch (CONN *conn, uint16_t vol, uint32_t nbe, char *pos, uint16_t f_bitmap, uint16_t d_bitmap, uint32_t rbitmap, struct afp_filedir_parms *filedir, struct afp_filedir_parms *filedir2)
unsigned int | FPCatSearchExt (CONN *conn, uint16_t vol, uint32_t nbe, char *pos, uint16_t f_bitmap, uint16_t d_bitmap, uint32_t rbitmap, struct afp_filedir_parms *filedir, struct afp_filedir_parms *filedir2)
unsigned int | FPSetFilDirParam (CONN *conn, uint16_t vol, int did, char *name, uint16_t bitmap, struct afp_filedir_parms *fil)
unsigned int | FPCopyFile (CONN *conn, uint16_t svol, int sdid, uint16_t dvol, int ddid, char *src, char *dstdir, char *dst)
unsigned int | FPExchangeFile (CONN *conn, uint16_t vol, int sdid, int ddid, char *src, char *dst)
unsigned int | FPMoveAndRename (CONN *conn, uint16_t svol, int sdid, int ddid, char *src, char *dst)
unsigned int | FPRename (CONN *conn, uint16_t svol, int sdid, char *src, char *dst)
unsigned int | FPReadHeader (DSI *dsi, uint16_t fork, int offset, int size, char *data)
unsigned int | FPReadFooter (DSI *dsi, uint16_t fork, int offset, int size, char *data)
unsigned int | FPRead (CONN *conn, uint16_t fork, long long offset, int size, char *data)
unsigned int | FPRead_ext (CONN *conn, uint16_t fork, off_t offset, off_t size, char *data)
unsigned int | FPRead_ext_async (CONN *conn, uint16_t fork, off_t offset, off_t size, char *data)
unsigned int | FPWriteHeader (DSI *dsi, uint16_t fork, int offset, int size, char *data, char whence)
unsigned int | FPWriteFooter (DSI *dsi, uint16_t fork, int offset, int size, char *data, char whence)
unsigned int | FPWrite (CONN *conn, uint16_t fork, long long offset, int size, char *data, char whence)
unsigned int | FPWrite_ext (CONN *conn, uint16_t fork, off_t offset, off_t size, char *data, char whence)
unsigned int | FPWrite_ext_async (CONN *conn, uint16_t fork, off_t offset, off_t size, char *data, char whence)
unsigned int | FPGetACL (CONN *conn, uint16_t vol, int did, uint16_t bitmap, char *name)
unsigned int | FPGetExtAttr (CONN *conn, uint16_t vol, int did, uint16_t bitmap, uint16_t maxsize, char *name, char *attr)
unsigned int | FPListExtAttr (CONN *conn, uint16_t vol, int did, uint16_t bitmap, int maxsize, char *name)
unsigned int | FPSetExtAttr (CONN *conn, uint16_t vol, int did, uint16_t bitmap, char *name, char *attr, char *data)
unsigned int | FPRemoveExtAttr (CONN *conn, uint16_t vol, int did, uint16_t bitmap, char *name, char *attr)

## Variables
static char * | dsi_command2str []

## Function Documentation

## ◆ afp_error()

char * afp_error | ( | int | error | ) |

## ◆ AfpNum2name()

const char * AfpNum2name | ( | int | num | ) |

## ◆ dump_header()

void dump_header | ( | DSI * | dsi | ) |

## ◆ dump_open()

void dump_open | ( | DSI * | dsi | ) |

## ◆ FPAddAPPL()

unsigned int FPAddAPPL | ( | CONN * | conn,
|  | uint16_t | dt,
|  | int | did,
|  | char * | creator,
|  | uint32_t | tag,
|  | char * | name )

## ◆ FPAddComment()

unsigned int FPAddComment | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | char * | cmt )

## ◆ FPAddIcon()

unsigned int FPAddIcon | ( | CONN * | conn,
|  | uint16_t | dt,
|  | char * | creator,
|  | char * | type,
|  | char | itype,
|  | uint32_t | tag,
|  | uint16_t | size,
|  | char * | data )

## ◆ FPBadPacket()

unsigned int FPBadPacket | ( | CONN * | conn,
|  | char | fn,
|  | char * | name )

## ◆ FPByteLock()

unsigned int FPByteLock | ( | CONN * | conn,
|  | uint16_t | fork,
|  | int | end,
|  | int | mode,
|  | int | offset,
|  | int | size )

## ◆ FPByteLock_ext()

unsigned int FPByteLock_ext | ( | CONN * | conn,
|  | uint16_t | fork,
|  | int | end,
|  | int | mode,
|  | off_t | offset,
|  | off_t | size )

## ◆ FPCatSearch()

unsigned int FPCatSearch | ( | CONN * | conn,
|  | uint16_t | vol,
|  | uint32_t | nbe,
|  | char * | pos,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap,
|  | uint32_t | rbitmap,
|  | struct afp_filedir_parms * | filedir,
|  | struct afp_filedir_parms * | filedir2 )

## ◆ FPCatSearchExt()

unsigned int FPCatSearchExt | ( | CONN * | conn,
|  | uint16_t | vol,
|  | uint32_t | nbe,
|  | char * | pos,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap,
|  | uint32_t | rbitmap,
|  | struct afp_filedir_parms * | filedir,
|  | struct afp_filedir_parms * | filedir2 )

## ◆ FPCloseDir()

unsigned int FPCloseDir | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did )

## ◆ FPCloseDT()

unsigned int FPCloseDT | ( | CONN * | conn,
|  | uint16_t | vol )

## ◆ FPCloseFork()

unsigned int FPCloseFork | ( | CONN * | conn,
|  | uint16_t | vol )

## ◆ FPCloseVol()

unsigned int FPCloseVol | ( | CONN * | conn,
|  | uint16_t | vol )

## ◆ FPCopyFile()

unsigned int FPCopyFile | ( | CONN * | conn,
|  | uint16_t | svol,
|  | int | sdid,
|  | uint16_t | dvol,
|  | int | ddid,
|  | char * | src,
|  | char * | dstdir,
|  | char * | dst )

## ◆ FPCreateDir()

unsigned int FPCreateDir | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name )

## ◆ FPCreateFile()

unsigned int FPCreateFile | ( | CONN * | conn,
|  | uint16_t | vol,
|  | char | type,
|  | int | did,
|  | char * | name )

## ◆ FPCreateID()

unsigned int FPCreateID | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name )

## ◆ FPDelete()

unsigned int FPDelete | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name )

## ◆ FPDeleteID()

unsigned int FPDeleteID | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did )

## ◆ FPDisconnectOldSession()

unsigned int FPDisconnectOldSession | ( | CONN * | conn,
|  | uint16_t | type,
|  | int | len,
|  | char * | token )

## ◆ FPEnumerate()

unsigned int FPEnumerate | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap )

## ◆ FPEnumerate_ext()

unsigned int FPEnumerate_ext | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap )

## ◆ FPEnumerate_ext2()

unsigned int FPEnumerate_ext2 | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap )

## ◆ FPEnumerateExt2Full()

unsigned int FPEnumerateExt2Full | ( | CONN * | conn,
|  | uint16_t | vol,
|  | uint32_t | did,
|  | char * | name,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap,
|  | uint32_t | startindex,
|  | uint16_t | reqcount )

## ◆ FPEnumerateFull()

unsigned int FPEnumerateFull | ( | CONN * | conn,
|  | uint16_t | vol,
|  | uint16_t | sindex,
|  | uint16_t | reqcnt,
|  | uint16_t | size,
|  | int | did,
|  | char * | name,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap )

## ◆ FPExchangeFile()

unsigned int FPExchangeFile | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | sdid,
|  | int | ddid,
|  | char * | src,
|  | char * | dst )

## ◆ FPFlush()

unsigned int FPFlush | ( | CONN * | conn,
|  | uint16_t | vol )

## ◆ FPFlushFork()

unsigned int FPFlushFork | ( | CONN * | conn,
|  | uint16_t | vol )

## ◆ FPGetACL()

unsigned int FPGetACL | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | uint16_t | bitmap,
|  | char * | name )

## ◆ FPGetAppl()

unsigned int FPGetAppl | ( | CONN * | conn,
|  | uint16_t | dt,
|  | char * | name,
|  | uint16_t | index,
|  | uint16_t | bitmap )

## ◆ FPGetComment()

unsigned int FPGetComment | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name )

## ◆ FPGetExtAttr()

unsigned int FPGetExtAttr | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | uint16_t | bitmap,
|  | uint16_t | maxsize,
|  | char * | name,
|  | char * | attr )

## ◆ FPGetFileDirParams()

unsigned int FPGetFileDirParams | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | f_bitmap,
|  | uint16_t | d_bitmap )

## ◆ FPGetForkParam()

unsigned int FPGetForkParam | ( | CONN * | conn,
|  | uint16_t | fork,
|  | uint16_t | bitmap )

## ◆ FPGetIcon()

unsigned int FPGetIcon | ( | CONN * | conn,
|  | uint16_t | dt,
|  | char * | creator,
|  | char * | type,
|  | char | itype,
|  | uint16_t | size )

## ◆ FPGetIconInfo()

unsigned int FPGetIconInfo | ( | CONN * | conn,
|  | uint16_t | dt,
|  | unsigned char * | creator,
|  | uint16_t | itype )

## ◆ FPGetSessionToken()

unsigned int FPGetSessionToken | ( | CONN * | conn,
|  | int | type,
|  | uint32_t | time,
|  | int | len,
|  | char * | token )

## ◆ FPGetSrvrInfo()

unsigned int FPGetSrvrInfo | ( | CONN * | conn | ) |

## ◆ FPGetSrvrMsg()

unsigned int FPGetSrvrMsg | ( | CONN * | conn,
|  | uint16_t | type,
|  | uint16_t | bitmap )

## ◆ FPGetSrvrParms()

unsigned int FPGetSrvrParms | ( | CONN * | conn | ) |

## ◆ FPGetUserInfo()

unsigned int FPGetUserInfo | ( | CONN * | conn,
|  | char | flag,
|  | int | id,
|  | uint16_t | bitmap )

## ◆ FPGetVolParam()

unsigned int FPGetVolParam | ( | CONN * | conn,
|  | uint16_t | vol,
|  | uint16_t | bitmap )

## ◆ FPListExtAttr()

unsigned int FPListExtAttr | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | uint16_t | bitmap,
|  | int | maxsize,
|  | char * | name )

## ◆ FPLogOut()

unsigned int FPLogOut | ( | CONN * | conn | ) |

## ◆ FPMapID()

unsigned int FPMapID | ( | CONN * | conn,
|  | char | fn,
|  | int | id )

## ◆ FPMapName()

unsigned int FPMapName | ( | CONN * | conn,
|  | char | fn,
|  | char * | name )

## ◆ FPMoveAndRename()

unsigned int FPMoveAndRename | ( | CONN * | conn,
|  | uint16_t | svol,
|  | int | sdid,
|  | int | ddid,
|  | char * | src,
|  | char * | dst )

## ◆ FPOpenDir()

unsigned int FPOpenDir | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name )

## ◆ FPOpenDT()

uint16_t FPOpenDT | ( | CONN * | conn,
|  | uint16_t | vol )

## ◆ FPOpenFork()

uint16_t FPOpenFork | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | type,
|  | uint16_t | bitmap,
|  | int | did,
|  | char * | name,
|  | int | access )

## ◆ FPopenLogin()

unsigned int FPopenLogin | ( | CONN * | conn,
|  | char * | vers,
|  | char * | uam,
|  | char * | usr,
|  | char * | pwd )

## ◆ FPopenLoginExt()

unsigned int FPopenLoginExt | ( | CONN * | conn,
|  | char * | vers,
|  | char * | uam,
|  | char * | usr,
|  | char * | pwd )

## ◆ FPOpenVol()

uint16_t FPOpenVol | ( | CONN * | conn,
|  | char * | vol )

## ◆ FPOpenVolFull()

uint16_t FPOpenVolFull | ( | CONN * | conn,
|  | char * | vol,
|  | uint16_t | bitmap )

## ◆ FPRead()

unsigned int FPRead | ( | CONN * | conn,
|  | uint16_t | fork,
|  | long long | offset,
|  | int | size,
|  | char * | data )

## ◆ FPRead_ext()

unsigned int FPRead_ext | ( | CONN * | conn,
|  | uint16_t | fork,
|  | off_t | offset,
|  | off_t | size,
|  | char * | data )

## ◆ FPRead_ext_async()

unsigned int FPRead_ext_async | ( | CONN * | conn,
|  | uint16_t | fork,
|  | off_t | offset,
|  | off_t | size,
|  | char * | data )

## ◆ FPReadFooter()

unsigned int FPReadFooter | ( | DSI * | dsi,
|  | uint16_t | fork,
|  | int | offset,
|  | int | size,
|  | char * | data )

## ◆ FPReadHeader()

unsigned int FPReadHeader | ( | DSI * | dsi,
|  | uint16_t | fork,
|  | int | offset,
|  | int | size,
|  | char * | data )

## ◆ FPRemoveAPPL()

unsigned int FPRemoveAPPL | ( | CONN * | conn,
|  | uint16_t | dt,
|  | int | did,
|  | char * | creator,
|  | char * | name )

## ◆ FPRemoveComment()

unsigned int FPRemoveComment | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name )

## ◆ FPRemoveExtAttr()

unsigned int FPRemoveExtAttr | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | uint16_t | bitmap,
|  | char * | name,
|  | char * | attr )

## ◆ FPRename()

unsigned int FPRename | ( | CONN * | conn,
|  | uint16_t | svol,
|  | int | sdid,
|  | char * | src,
|  | char * | dst )

## ◆ FPResolveID()

unsigned int FPResolveID | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | uint16_t | bitmap )

## ◆ FPSetDirParms()

unsigned int FPSetDirParms | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | bitmap,
|  | struct afp_filedir_parms * | dir )

## ◆ FPSetExtAttr()

unsigned int FPSetExtAttr | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | uint16_t | bitmap,
|  | char * | name,
|  | char * | attr,
|  | char * | data )

## ◆ FPSetFilDirParam()

unsigned int FPSetFilDirParam | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | bitmap,
|  | struct afp_filedir_parms * | fil )

## ◆ FPSetFileParams()

unsigned int FPSetFileParams | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did,
|  | char * | name,
|  | uint16_t | bitmap,
|  | struct afp_filedir_parms * | fil )

## ◆ FPSetForkParam()

unsigned int FPSetForkParam | ( | CONN * | conn,
|  | uint16_t | fork,
|  | uint16_t | bitmap,
|  | off_t | size )

## ◆ FPSetVolParam()

unsigned int FPSetVolParam | ( | CONN * | conn,
|  | uint16_t | vol,
|  | uint16_t | bitmap,
|  | struct afp_volume_parms * | parms )

## ◆ FPSyncDir()

unsigned int FPSyncDir | ( | CONN * | conn,
|  | uint16_t | vol,
|  | int | did )

## ◆ FPWrite()

unsigned int FPWrite | ( | CONN * | conn,
|  | uint16_t | fork,
|  | long long | offset,
|  | int | size,
|  | char * | data,
|  | char | whence )

## ◆ FPWrite_ext()

unsigned int FPWrite_ext | ( | CONN * | conn,
|  | uint16_t | fork,
|  | off_t | offset,
|  | off_t | size,
|  | char * | data,
|  | char | whence )

## ◆ FPWrite_ext_async()

unsigned int FPWrite_ext_async | ( | CONN * | conn,
|  | uint16_t | fork,
|  | off_t | offset,
|  | off_t | size,
|  | char * | data,
|  | char | whence )

## ◆ FPWriteFooter()

unsigned int FPWriteFooter | ( | DSI * | dsi,
|  | uint16_t | fork,
|  | int | offset,
|  | int | size,
|  | char * | data,
|  | char | whence )

## ◆ FPWriteHeader()

unsigned int FPWriteHeader | ( | DSI * | dsi,
|  | uint16_t | fork,
|  | int | offset,
|  | int | size,
|  | char * | data,
|  | char | whence )

## ◆ FPzzz()

unsigned int FPzzz | ( | CONN * | conn,
|  | int | flag )

## Variable Documentation

## ◆ dsi_command2str

char* dsi_command2str[]
| static

Initial value:
= {
"???",
"DSIFUNC_CLOSE",
"DSIFUNC_CMD",
"DSIFUNC_STAT",
"DSIFUNC_OPEN",
"DSIFUNC_TICKLE",
"DSIFUNC_WRITE",
"DSI???",
"DSIFUNC_ATTN",
}